DORMANTno replies

[PATCH] t7800: respect NO_PERL

From: Jeff King <hidden>
Date: 2016-06-15 22:46:39
Subsystem: the rest · Maintainer: Linus Torvalds

Difftool is written in perl, so we don't build it if NO_PERL
is set.

Signed-off-by: Jeff King <redacted>
---
 t/t7800-difftool.sh |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)
diff --git a/t/t7800-difftool.sh b/t/t7800-difftool.sh
index 2586f86..ebdccf9 100755
--- a/t/t7800-difftool.sh
+++ b/t/t7800-difftool.sh
@@ -10,6 +10,11 @@ Testing basic diff tool invocation
 
 . ./test-lib.sh
 
+if ! test_have_prereq PERL; then
+	say 'skipping difftool tests, perl not available'
+	test_done
+fi
+
 remove_config_vars()
 {
 	# Unset all config variables used by git-difftool
-- 
1.6.3.rc1.226.ga8d61c
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help